INTEL_RUNTIME_PM_GET(9)

NAME
intel_runtime_pm_get - grab a runtime pm reference

SYNOPSIS

void intel_runtime_pm_get(struct drm_i915_private * dev_priv);

ARGUMENTS

dev_priv
    i915 device instance

DESCRIPTION

This function grabs a device-level runtime pm reference (mostly used for GEM code to ensure the GTT or GT is on) and ensures that it is powered up.

Any runtime pm reference obtained by this function must have a symmetric call to intel_runtime_pm_put to release the reference again.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT